# QFontMetricsF Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QFontMetricsF(QFont arg__1)
- void QFontMetricsF(QFont arg__1, QPaintDevice pd)

### Constructor Properties

- prototype: The QFontMetricsF prototype object

### Prototype Object Properties

- qreal ascent()
- qreal averageCharWidth()
- QRectF boundingRect(char arg__1)
- qreal descent()
- String elidedText(String text, TextElideMode mode, qreal width, int flags)
- qreal height()
- bool inFont(char arg__1)
- bool inFontUcs4(uint ucs4)
- qreal leading()
- qreal leftBearing(char arg__1)
- qreal lineSpacing()
- qreal lineWidth()
- qreal maxWidth()
- qreal minLeftBearing()
- qreal minRightBearing()
- qreal overlinePos()
- qreal rightBearing(char arg__1)
- QSizeF size(int flags, String str, int tabstops, int tabarray)
- qreal strikeOutPos()
- QRectF tightBoundingRect(String text)
- qreal underlinePos()
- qreal width(char arg__1)
- qreal xHeight()

### Instance Properties

QFontMetricsF objects have no special properties beyond those inherited from the QFontMetricsF prototype object.